### File

`packages/ecl/components/ecl-site-footer/ecl-footer-elements/ecl-site-footer-section.directive.ts`

### Description

Directive, that applies specific classes to the section element in site footer.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclSiteFooterSection]`

### Index

###### Methods
getCssClasses
###### Inputs
variant class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

variant
Type : `"links" | "contact" | "about" | "more" | "related" | "site-info" | string`
Default value : `''`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""